Categories
keselamatan

Ralat “GPG error” semasa mengemaskini senarai pakej

Pernah mendapat ralat berikut selepas menjalankan arahan aptitude update?

W: GPG error: http://security.debian.org squeeze/updates Release: The following signatures were invalid: BADSIG AED4B06F473041FA Debian Archive Automatic Signing Key (6.0/squeeze)

Ini adalah disebabkan pertukaran kekunci gpg pada repo sekuriti Debian Squeeze.

  1. Muaturun debian-archive-keyring dari laman pakej Debian Squeeze

    http://packages.debian.org/squeeze/all/debian-archive-keyring/download

  2. Kemudian pasang pakej yang telah dimuaturun

    dpkg -i debian-archive-keyring_2010.08.28_all.deb

  3. Anda akan dapat output berikut yang menunjukkan ada kekunci gpg yang telah ditambah/dikemaskini

    gpg: Total number processed: 5
    gpg: imported: 1
    gpg: unchanged: 4
    gpg: no ultimately trusted keys found

  4. Sekarang cuba kemaskini senarai pakej dan ralat tersebut telah tiada

    aptitude update

Leave a Reply

Your email address will not be published. Required fields are marked *